package com.ruoyi.project.configuration.service.impl;

import com.ruoyi.project.configuration.domain.TMatterFeature;
import com.ruoyi.project.configuration.mapper.TMatterFeatureMapper;
import com.ruoyi.project.configuration.service.ITMatterFeatureService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 危害物质-危害性质Service业务层处理
 *
 * @author ruoyi
 * @date 2021-12-28
 */
@Service
public class TMatterFeatureServiceImpl implements ITMatterFeatureService {

    @Resource
    private TMatterFeatureMapper tMatterFeatureMapper;

    @Override
    public List<String> queryByIds(String[] ids) {
        return this.tMatterFeatureMapper.queryByIds(ids);
    }

    /**
     * 查询危害物质-危害性质
     *
     * @param id 危害物质-危害性质ID
     * @return 危害物质-危害性质
     */
    @Override
    public TMatterFeature selectTMatterFeatureById(Long id) {
        return tMatterFeatureMapper.selectTMatterFeatureById(id);
    }

    /**
     * 查询危害物质-危害性质列表
     *
     * @param tMatterFeature 危害物质-危害性质
     * @return 危害物质-危害性质
     */
    @Override
    public List<TMatterFeature> selectTMatterFeatureList(TMatterFeature tMatterFeature) {
        return tMatterFeatureMapper.selectTMatterFeatureList(tMatterFeature);
    }

    /**
     * 新增危害物质-危害性质
     *
     * @param tMatterFeature 危害物质-危害性质
     * @return 结果
     */
    @Override
    public int insertTMatterFeature(TMatterFeature tMatterFeature) {
        return tMatterFeatureMapper.insertTMatterFeature(tMatterFeature);
    }

    /**
     * 修改危害物质-危害性质
     *
     * @param tMatterFeature 危害物质-危害性质
     * @return 结果
     */
    @Override
    public int updateTMatterFeature(TMatterFeature tMatterFeature) {
        return tMatterFeatureMapper.updateTMatterFeature(tMatterFeature);
    }

    /**
     * 批量删除危害物质-危害性质
     *
     * @param ids 需要删除的危害物质-危害性质ID
     * @return 结果
     */
    @Override
    public int deleteTMatterFeatureByIds(Long[] ids) {
        return tMatterFeatureMapper.deleteTMatterFeatureByIds(ids);
    }

    /**
     * 删除危害物质-危害性质信息
     *
     * @param id 危害物质-危害性质ID
     * @return 结果
     */
    @Override
    public int deleteTMatterFeatureById(Long id) {
        return tMatterFeatureMapper.deleteTMatterFeatureById(id);
    }
}
